Name: php-pecl-filter
Version: 0.12.0
Release: 0
Summary: PHP PECL filter extension compiled for PHP 5.1
BuildRequires: pcre-devel
BuildRequires: php-devel
BuildRequires: autoconf
Group: Development/Languages
License: PHP
Source0: php-pecl-filter-%{version}.tar.gz
Source1: php_pcre.h
Patch0: php-pecl-filter-0.12-fix-pcre-include.patch
Patch1: php-pecl-filter-0.12-backport-php51.patch
BuildRoot: %{_tmppath}/%{name}-%{version}
Url: https://pecl.php.net/package/filter

%description
Extension for safely dealing with input parameters. Note: This extension is now 
part of PHP Core, so use it instead of this outdated PECL version (as of PHP 
5.2.0).

The Input Filter extension is meant to address this issue by implementing a set
of filters and mechanisms that users can use to safely access their input data.

This version of the filter extension was extracted from the PHP 5.2 17 sources.

%prep
%setup
cp %{SOURCE1} .

%patch0 -p1
%patch1 -p1

%build
phpize
%configure --with-libdir=%{_lib}
make

%install
rm -rf    $RPM_BUILD_ROOT
mkdir -p  $RPM_BUILD_ROOT
make install INSTALL_ROOT=%{buildroot}

# Remove installed header file
rm -rf $RPM_BUILD_ROOT/usr/include/

mkdir -p  $RPM_BUILD_ROOT%{_sysconfdir}/php.d/
echo 'extension=filter.so' > $RPM_BUILD_ROOT%{_sysconfdir}/php.d/filter.ini 


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{_sysconfdir}/php.d/filter.ini
%{_libdir}/php/modules/filter.so

%changelog
* Thu Apr  2 2015 Alex Villacis Lasso <a_villacis@palosanto.com> 0.12.0-0
- Initial release for Elastix


